# vplexapi
A definition for the next-gen VPlex API

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 0.1
- Package version: 1.0.0.0
- Build package: io.swagger.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import vplexapi 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import vplexapi
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import vplexapi
from vplexapi.rest import ApiException
from pprint import pprint

# Configure HTTP basic authorization: basicAuth
configuration = vplexapi.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'
# Configure API key authorization: jwtAuth
configuration = vplexapi.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = vplexapi.AggregateApi(vplexapi.ApiClient(configuration))
uri = 'uri_example' # str | URI of collection to aggregate
group_by = 'group_by_example' # str | Comma-separated list of fields to aggregate on

try:
    # Groups the resources at the given URI by the values of the provided fields and returns aggregated computations for each group 
    api_response = api_instance.get_aggregates(uri, group_by)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AggregateApi->get_aggregates: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AggregateApi* | [**get_aggregates**](docs/AggregateApi.md#get_aggregates) | **GET** /aggregates | Groups the resources at the given URI by the values of the provided fields and returns aggregated computations for each group 
*AmpApi* | [**get_array_management_provider**](docs/AmpApi.md#get_array_management_provider) | **GET** /clusters/{cluster_name}/array_management_providers/{name} | Returns the details of an AMP
*AmpApi* | [**get_array_management_providers**](docs/AmpApi.md#get_array_management_providers) | **GET** /clusters/{cluster_name}/array_management_providers | Returns a list of registered AMPs
*AmpApi* | [**register_array_management_provider**](docs/AmpApi.md#register_array_management_provider) | **POST** /clusters/{cluster_name}/array_management_providers | Register a new ArrayManagementProvider
*AmpApi* | [**unregister_array_management_provider**](docs/AmpApi.md#unregister_array_management_provider) | **DELETE** /clusters/{cluster_name}/array_management_providers/{name} | Unregisters an AMP
*BulkApi* | [**bulk_request**](docs/BulkApi.md#bulk_request) | **POST** /bulk/ | Make a bulk request
*CertificatesApi* | [**add_certificate**](docs/CertificatesApi.md#add_certificate) | **POST** /external_certificates/trusted/{external_certificate} | Add the certificate to the keystore.
*CertificatesApi* | [**external_certificates_untrusted_external_certificate_get**](docs/CertificatesApi.md#external_certificates_untrusted_external_certificate_get) | **GET** /external_certificates/untrusted/{external_certificate} | Fetches the SSL Certificate of an external system
*CertificatesApi* | [**get_trusted_certificate**](docs/CertificatesApi.md#get_trusted_certificate) | **GET** /external_certificates/trusted/{external_certificate} | Fetch the certificate from the keystore.
*CertificatesApi* | [**remove_certificate**](docs/CertificatesApi.md#remove_certificate) | **DELETE** /external_certificates/trusted/{external_certificate} | Remove the certificate from the keystore.
*ClusterWitnessApi* | [**delete_cluster_witness**](docs/ClusterWitnessApi.md#delete_cluster_witness) | **DELETE** /cluster_witness | Deletes the cluster witness configuration.
*ClusterWitnessApi* | [**get_cluster_witness**](docs/ClusterWitnessApi.md#get_cluster_witness) | **GET** /cluster_witness | Return the cluster witness wired to the system
*ClusterWitnessApi* | [**patch_cluster_witness**](docs/ClusterWitnessApi.md#patch_cluster_witness) | **PATCH** /cluster_witness | Update attributes of a cluster witness.
*ClustersApi* | [**get_cluster**](docs/ClustersApi.md#get_cluster) | **GET** /clusters/{cluster_name} | Return a Cluster matching the provided name
*ClustersApi* | [**get_clusters**](docs/ClustersApi.md#get_clusters) | **GET** /clusters/ | Returns a list of the available clusters
*ClustersApi* | [**patch_cluster**](docs/ClustersApi.md#patch_cluster) | **PATCH** /clusters/{cluster_name} | Update attributes of a cluster
*ConsistencyGroupApi* | [**create_consistency_group**](docs/ConsistencyGroupApi.md#create_consistency_group) | **POST** /clusters/{cluster_name}/consistency_groups | Create a new ConsistencyGroup
*ConsistencyGroupApi* | [**delete_consistency_group**](docs/ConsistencyGroupApi.md#delete_consistency_group) | **DELETE** /clusters/{cluster_name}/consistency_groups/{name} | Deletes a single ConsistencyGroup
*ConsistencyGroupApi* | [**get_consistency_group**](docs/ConsistencyGroupApi.md#get_consistency_group) | **GET** /clusters/{cluster_name}/consistency_groups/{name} | Returns a single ConsistencyGroup object
*ConsistencyGroupApi* | [**get_consistency_groups**](docs/ConsistencyGroupApi.md#get_consistency_groups) | **GET** /clusters/{cluster_name}/consistency_groups | Returns a list of ConsistencyGroups
*ConsistencyGroupApi* | [**patch_consistency_group**](docs/ConsistencyGroupApi.md#patch_consistency_group) | **PATCH** /clusters/{cluster_name}/consistency_groups/{name} | Update attributes on a ConsistencyGroup
*DataMigrationApi* | [**create_device_migration**](docs/DataMigrationApi.md#create_device_migration) | **POST** /data_migrations/device_migrations | Create a new DeviceMigration
*DataMigrationApi* | [**create_extent_migration**](docs/DataMigrationApi.md#create_extent_migration) | **POST** /data_migrations/extent_migrations | Create a new ExtentMigration
*DataMigrationApi* | [**delete_device_migration**](docs/DataMigrationApi.md#delete_device_migration) | **DELETE** /data_migrations/device_migrations/{name} | Deletes a single canceled or committed DeviceMigration
*DataMigrationApi* | [**delete_extent_migration**](docs/DataMigrationApi.md#delete_extent_migration) | **DELETE** /data_migrations/extent_migrations/{name} | Deletes a single canceled or committed ExtentMigration
*DataMigrationApi* | [**get_device_migration**](docs/DataMigrationApi.md#get_device_migration) | **GET** /data_migrations/device_migrations/{name} | Returns a single DeviceMigration object
*DataMigrationApi* | [**get_device_migrations**](docs/DataMigrationApi.md#get_device_migrations) | **GET** /data_migrations/device_migrations | Returns a list of device migrations
*DataMigrationApi* | [**get_extent_migration**](docs/DataMigrationApi.md#get_extent_migration) | **GET** /data_migrations/extent_migrations/{name} | Returns a single ExtentMigration object
*DataMigrationApi* | [**get_extent_migrations**](docs/DataMigrationApi.md#get_extent_migrations) | **GET** /data_migrations/extent_migrations | Returns a list of extent migrations
*DataMigrationApi* | [**patch_device_migration**](docs/DataMigrationApi.md#patch_device_migration) | **PATCH** /data_migrations/device_migrations/{name} | Update attributes on a DeviceMigration
*DataMigrationApi* | [**patch_extent_migration**](docs/DataMigrationApi.md#patch_extent_migration) | **PATCH** /data_migrations/extent_migrations/{name} | Update attributes on a ExtentMigration
*DevicesApi* | [**create_device**](docs/DevicesApi.md#create_device) | **POST** /clusters/{cluster_name}/devices | Create a new Device
*DevicesApi* | [**delete_device**](docs/DevicesApi.md#delete_device) | **DELETE** /clusters/{cluster_name}/devices/{name} | Deletes a single Device
*DevicesApi* | [**get_device**](docs/DevicesApi.md#get_device) | **GET** /clusters/{cluster_name}/devices/{name} | Returns a single Device object
*DevicesApi* | [**get_devices**](docs/DevicesApi.md#get_devices) | **GET** /clusters/{cluster_name}/devices | Returns a list of Device objects
*DevicesApi* | [**patch_local_device**](docs/DevicesApi.md#patch_local_device) | **PATCH** /clusters/{cluster_name}/devices/{name} | Update attributes of a local device
*DirectorApi* | [**get_director**](docs/DirectorApi.md#get_director) | **GET** /directors/{name} | Return a Director matching the provided name
*DirectorApi* | [**get_directors**](docs/DirectorApi.md#get_directors) | **GET** /directors | Returns a list of the available directors
*DirectorPortsApi* | [**get_director_port**](docs/DirectorPortsApi.md#get_director_port) | **GET** /directors/{director_name}/ports/{name} | Returns a single DirectorPort object
*DirectorPortsApi* | [**get_director_ports**](docs/DirectorPortsApi.md#get_director_ports) | **GET** /directors/{director_name}/ports | Returns a list of director ports
*DirectorPortsApi* | [**patch_director_port**](docs/DirectorPortsApi.md#patch_director_port) | **PATCH** /directors/{director_name}/ports/{name} | Update attributes on a DirectorPort
*DistributedStorageApi* | [**create_distributed_consistency_group**](docs/DistributedStorageApi.md#create_distributed_consistency_group) | **POST** /distributed_storage/distributed_consistency_groups | Create a new distributed ConsistencyGroup
*DistributedStorageApi* | [**create_distributed_device**](docs/DistributedStorageApi.md#create_distributed_device) | **POST** /distributed_storage/distributed_devices | Create a new DistributedDevice
*DistributedStorageApi* | [**create_distributed_virtual_volume**](docs/DistributedStorageApi.md#create_distributed_virtual_volume) | **POST** /distributed_storage/distributed_virtual_volumes | Create a new distributed VirtualVolume
*DistributedStorageApi* | [**delete_distributed_consistency_group**](docs/DistributedStorageApi.md#delete_distributed_consistency_group) | **DELETE** /distributed_storage/distributed_consistency_groups/{name} | Deletes a single distributed ConsistencyGroup
*DistributedStorageApi* | [**delete_distributed_device**](docs/DistributedStorageApi.md#delete_distributed_device) | **DELETE** /distributed_storage/distributed_devices/{name} | Deletes a single DistributedDevice
*DistributedStorageApi* | [**delete_distributed_virtual_volume**](docs/DistributedStorageApi.md#delete_distributed_virtual_volume) | **DELETE** /distributed_storage/distributed_virtual_volumes/{name} | Deletes a single distributed VirtualVolume
*DistributedStorageApi* | [**expand_distributed_virtual_volume**](docs/DistributedStorageApi.md#expand_distributed_virtual_volume) | **POST** /distributed_storage/distributed_virtual_volumes/{name}/expand | Expand the capacity of a distributed VirtualVolume
*DistributedStorageApi* | [**get_distributed_consistency_group**](docs/DistributedStorageApi.md#get_distributed_consistency_group) | **GET** /distributed_storage/distributed_consistency_groups/{name} | Returns a single distributed ConsistencyGroup object
*DistributedStorageApi* | [**get_distributed_consistency_groups**](docs/DistributedStorageApi.md#get_distributed_consistency_groups) | **GET** /distributed_storage/distributed_consistency_groups | Returns a list of distributed ConsistencyGroups
*DistributedStorageApi* | [**get_distributed_device**](docs/DistributedStorageApi.md#get_distributed_device) | **GET** /distributed_storage/distributed_devices/{name} | Returns a single DistributedDevice object
*DistributedStorageApi* | [**get_distributed_devices**](docs/DistributedStorageApi.md#get_distributed_devices) | **GET** /distributed_storage/distributed_devices | Returns a list of DistributedDevices
*DistributedStorageApi* | [**get_distributed_virtual_volume**](docs/DistributedStorageApi.md#get_distributed_virtual_volume) | **GET** /distributed_storage/distributed_virtual_volumes/{name} | Returns a single distributed VirtualVolume object
*DistributedStorageApi* | [**get_distributed_virtual_volumes**](docs/DistributedStorageApi.md#get_distributed_virtual_volumes) | **GET** /distributed_storage/distributed_virtual_volumes | Returns a list of distributed VirtualVolumes
*DistributedStorageApi* | [**get_rule_set**](docs/DistributedStorageApi.md#get_rule_set) | **GET** /distributed_storage/rule_sets/{name} | Returns a single RuleSet object
*DistributedStorageApi* | [**get_rule_sets**](docs/DistributedStorageApi.md#get_rule_sets) | **GET** /distributed_storage/rule_sets | Returns a list of RuleSets
*DistributedStorageApi* | [**patch_distributed_consistency_group**](docs/DistributedStorageApi.md#patch_distributed_consistency_group) | **PATCH** /distributed_storage/distributed_consistency_groups/{name} | Update attributes on a distributed ConsistencyGroup
*DistributedStorageApi* | [**patch_distributed_device**](docs/DistributedStorageApi.md#patch_distributed_device) | **PATCH** /distributed_storage/distributed_devices/{name} | Update attributes on a DistributedDevice
*DistributedStorageApi* | [**patch_distributed_virtual_volume**](docs/DistributedStorageApi.md#patch_distributed_virtual_volume) | **PATCH** /distributed_storage/distributed_virtual_volumes/{name} | Update attributes on a distributed VirtualVolume
*DistributedStorageApi* | [**resume**](docs/DistributedStorageApi.md#resume) | **POST** /distributed_storage/distributed_consistency_groups/{name}/resume | Manually resume I/O to the virtual-volumes in a distributed consistency group.  In a cluster-partition scenario where the ruleset does not indicate an automatic winner, this endpoint will select the winning cluster where I/O should continue.  After a cluster-partition is resolved, in the case that auto-resume-at-loser is set to false, this endpoint will resume I/O on the losing cluster. 
*DistributedStorageApi* | [**resume_link_up**](docs/DistributedStorageApi.md#resume_link_up) | **POST** /distributed_storage/distributed_devices/{name}/resume | Manually resume I/O to a distributed device that supports a distributed virtual-volume.
*EngineApi* | [**get_engine**](docs/EngineApi.md#get_engine) | **GET** /engines/{name} | Return a Engine matching the provided name
*EngineApi* | [**get_engines**](docs/EngineApi.md#get_engines) | **GET** /engines/ | Returns a list of the available engines
*ExportsApi* | [**create_storage_view**](docs/ExportsApi.md#create_storage_view) | **POST** /clusters/{cluster_name}/exports/storage_views | Create a new StorageView
*ExportsApi* | [**delete_storage_view**](docs/ExportsApi.md#delete_storage_view) | **DELETE** /clusters/{cluster_name}/exports/storage_views/{name} | Deletes a single StorageView
*ExportsApi* | [**get_initiator_port**](docs/ExportsApi.md#get_initiator_port) | **GET** /clusters/{cluster_name}/exports/initiator_ports/{name} | Returns a single InitiatorPort object
*ExportsApi* | [**get_initiator_ports**](docs/ExportsApi.md#get_initiator_ports) | **GET** /clusters/{cluster_name}/exports/initiator_ports | Returns a list of InitiatorPort objects
*ExportsApi* | [**get_port**](docs/ExportsApi.md#get_port) | **GET** /clusters/{cluster_name}/exports/ports/{name} | Returns a single Port object
*ExportsApi* | [**get_ports**](docs/ExportsApi.md#get_ports) | **GET** /clusters/{cluster_name}/exports/ports | Returns a list of Port objects
*ExportsApi* | [**get_storage_view**](docs/ExportsApi.md#get_storage_view) | **GET** /clusters/{cluster_name}/exports/storage_views/{name} | Returns a single StorageView
*ExportsApi* | [**get_storage_views**](docs/ExportsApi.md#get_storage_views) | **GET** /clusters/{cluster_name}/exports/storage_views | Returns a list of StorageView objects
*ExportsApi* | [**patch_initiator_port**](docs/ExportsApi.md#patch_initiator_port) | **PATCH** /clusters/{cluster_name}/exports/initiator_ports/{name} | Update attributes on an InitiatorPort
*ExportsApi* | [**patch_port**](docs/ExportsApi.md#patch_port) | **PATCH** /clusters/{cluster_name}/exports/ports/{name} | Update attributes on a Port
*ExportsApi* | [**patch_storage_view**](docs/ExportsApi.md#patch_storage_view) | **PATCH** /clusters/{cluster_name}/exports/storage_views/{name} | Update attributes on a StorageView
*ExportsApi* | [**rediscover_initiator_ports**](docs/ExportsApi.md#rediscover_initiator_ports) | **POST** /clusters/{cluster_name}/exports/initiator_ports/rediscover | Rediscover initiator ports
*ExportsApi* | [**register_initiator_port**](docs/ExportsApi.md#register_initiator_port) | **POST** /clusters/{cluster_name}/exports/initiator_ports | Registers an InitiatorPort
*ExportsApi* | [**unregister_initiator_port**](docs/ExportsApi.md#unregister_initiator_port) | **DELETE** /clusters/{cluster_name}/exports/initiator_ports/{name} | Unregister an InitiatorPort
*ExtentApi* | [**create_extent**](docs/ExtentApi.md#create_extent) | **POST** /clusters/{cluster_name}/extents | Create a new Extent
*ExtentApi* | [**delete_extent**](docs/ExtentApi.md#delete_extent) | **DELETE** /clusters/{cluster_name}/extents/{name} | Delets a single Extent object
*ExtentApi* | [**get_extent**](docs/ExtentApi.md#get_extent) | **GET** /clusters/{cluster_name}/extents/{name} | Returns a single Extent object
*ExtentApi* | [**get_extents**](docs/ExtentApi.md#get_extents) | **GET** /clusters/{cluster_name}/extents | Returns a list of Extent objects
*ExtentApi* | [**patch_extent**](docs/ExtentApi.md#patch_extent) | **PATCH** /clusters/{cluster_name}/extents/{name} | Update attributes on a Extent
*HardwarePortsApi* | [**get_hardware_ports**](docs/HardwarePortsApi.md#get_hardware_ports) | **GET** /hardware/ports | Returns a list of hardware ports
*HealthApi* | [**get_local_com_health**](docs/HealthApi.md#get_local_com_health) | **GET** /clusters/{cluster_name}/health/local_com | Return local-COM health information
*HealthApi* | [**get_wan_com_health**](docs/HealthApi.md#get_wan_com_health) | **GET** /health/wan_com | Return WAN-COM health information
*JobsApi* | [**cancel_vias_job**](docs/JobsApi.md#cancel_vias_job) | **POST** /jobs/{name}/cancel | Cancel a vias provisioning job
*JobsApi* | [**create_vias_job**](docs/JobsApi.md#create_vias_job) | **POST** /jobs | Create a VIAS provisioning job
*JobsApi* | [**delete_vias_job**](docs/JobsApi.md#delete_vias_job) | **DELETE** /jobs/{name} | Delete a VIAS provisioning jobs
*JobsApi* | [**get_vias_job**](docs/JobsApi.md#get_vias_job) | **GET** /jobs/{name} | Get the status of a VIAS provisioning job
*JobsApi* | [**get_vias_jobs**](docs/JobsApi.md#get_vias_jobs) | **GET** /jobs | Get all the current VIAS provisioning jobs
*JobsApi* | [**resubmit_vias_job**](docs/JobsApi.md#resubmit_vias_job) | **POST** /jobs/{name}/resubmit | Resubmit a vias provisioning job
*LicensesApi* | [**delete_licenses**](docs/LicensesApi.md#delete_licenses) | **DELETE** /clusters/{cluster_name}/licenses | Deletes the licenses
*LicensesApi* | [**get_license_info**](docs/LicensesApi.md#get_license_info) | **GET** /clusters/{cluster_name}/licenses | Returns a list of installed licenses on the setup
*LicensesApi* | [**install_license**](docs/LicensesApi.md#install_license) | **POST** /clusters/{cluster_name}/licenses | Install a new license file
*LicensesApi* | [**validate_license**](docs/LicensesApi.md#validate_license) | **POST** /clusters/{cluster_name}/licenses/validate | Validate a license file
*LoggerApi* | [**log**](docs/LoggerApi.md#log) | **POST** /logger/ | Log information on the server. This endpoint is intended for internal system use only. 
*LoggingVolumeApi* | [**create_logging_volume**](docs/LoggingVolumeApi.md#create_logging_volume) | **POST** /clusters/{cluster_name}/logging_volumes | Creates a new Logging Volume
*LoggingVolumeApi* | [**delete_logging_volume**](docs/LoggingVolumeApi.md#delete_logging_volume) | **DELETE** /clusters/{cluster_name}/logging_volumes/{name} | Deletes a single LoggingVolume
*LoggingVolumeApi* | [**get_logging_volume**](docs/LoggingVolumeApi.md#get_logging_volume) | **GET** /clusters/{cluster_name}/logging_volumes/{name} | Returns a single LoggingVolume by name
*LoggingVolumeApi* | [**get_logging_volumes**](docs/LoggingVolumeApi.md#get_logging_volumes) | **GET** /clusters/{cluster_name}/logging_volumes | Returns a list of LoggingVolume objects. Supports paging
*LogicalUnitsApi* | [**forget_logical_units**](docs/LogicalUnitsApi.md#forget_logical_units) | **DELETE** /clusters/{cluster_name}/storage_arrays/{storagearray_name}/logical_units | Forgets logicalUnits in an array
*LogicalUnitsApi* | [**get_logical_unit**](docs/LogicalUnitsApi.md#get_logical_unit) | **GET** /clusters/{cluster_name}/storage_arrays/{storagearray_name}/logical_units/{name} | Returns a single LogicalUnit by name
*LogicalUnitsApi* | [**get_logical_units**](docs/LogicalUnitsApi.md#get_logical_units) | **GET** /clusters/{cluster_name}/storage_arrays/{storagearray_name}/logical_units | Returns a list of LogicalUnits
*MapsApi* | [**get_map**](docs/MapsApi.md#get_map) | **GET** /map | Get the parents and children for the passed element
*MetaVolumeApi* | [**create_meta_volume**](docs/MetaVolumeApi.md#create_meta_volume) | **POST** /clusters/{cluster_name}/meta_volumes | Create a new MetaVolume
*MetaVolumeApi* | [**delete_meta_volume**](docs/MetaVolumeApi.md#delete_meta_volume) | **DELETE** /clusters/{cluster_name}/meta_volumes/{name} | Deletes a single MetaVolume
*MetaVolumeApi* | [**get_meta_volume**](docs/MetaVolumeApi.md#get_meta_volume) | **GET** /clusters/{cluster_name}/meta_volumes/{name} | Returns a single MetaVolume by name
*MetaVolumeApi* | [**get_meta_volumes**](docs/MetaVolumeApi.md#get_meta_volumes) | **GET** /clusters/{cluster_name}/meta_volumes | Returns a list of MetaVolume objects. Supports paging
*MetaVolumeApi* | [**patch_meta_volume**](docs/MetaVolumeApi.md#patch_meta_volume) | **PATCH** /clusters/{cluster_name}/meta_volumes/{name} | Update attributes on a MetaVolume
*MetadataBackupApi* | [**create_backup_metadata**](docs/MetadataBackupApi.md#create_backup_metadata) | **POST** /clusters/{cluster_name}/metadata_backups | Create List of configured MetaData Backups Volume with their scheduled time
*MetadataBackupApi* | [**delete_backup_metadata**](docs/MetadataBackupApi.md#delete_backup_metadata) | **DELETE** /clusters/{cluster_name}/metadata_backups | Delete configured Metadata backup settings
*MetadataBackupApi* | [**get_backup_metadata**](docs/MetadataBackupApi.md#get_backup_metadata) | **GET** /clusters/{cluster_name}/metadata_backups | List the configured MetaData Backup settings
*MonitorsApi* | [**get_monitor_stats**](docs/MonitorsApi.md#get_monitor_stats) | **GET** /clusters/{cluster_name}/system_monitors/{name} | Return performance stats for the given perf monitor.
*MonitorsApi* | [**get_monitors**](docs/MonitorsApi.md#get_monitors) | **GET** /clusters/{cluster_name}/system_monitors | Return the list of names of active performance monitors
*MonitorsApi* | [**get_vvol_monitor_stats**](docs/MonitorsApi.md#get_vvol_monitor_stats) | **GET** /clusters/{cluster_name}/vvol_monitors/{name} | Return performance stats for the given vvol monitor.
*MonitorsApi* | [**get_vvol_monitors**](docs/MonitorsApi.md#get_vvol_monitors) | **GET** /clusters/{cluster_name}/vvol_monitors | Return the list of names of active vvol monitors
*PermissionsApi* | [**get_permissions**](docs/PermissionsApi.md#get_permissions) | **GET** /permissions/ | Returns the Role-Based Authentication configuration
*PermissionsApi* | [**get_role**](docs/PermissionsApi.md#get_role) | **GET** /permissions/{rbac_role} | Return the Role-Based Authentication configuration for one role
*PermissionsApi* | [**patch_permissions**](docs/PermissionsApi.md#patch_permissions) | **PATCH** /permissions/{rbac_role} | Modify the Role-Based Authentication configuration for this role
*StorageArrayApi* | [**get_name_mapping**](docs/StorageArrayApi.md#get_name_mapping) | **GET** /clusters/{cluster_name}/storage_arrays/{name}/name_mapping | Get the default name mapping for claimable volumes on this array
*StorageArrayApi* | [**get_storage_array**](docs/StorageArrayApi.md#get_storage_array) | **GET** /clusters/{cluster_name}/storage_arrays/{name} | Returns a single StorageArray by name
*StorageArrayApi* | [**get_storage_arrays**](docs/StorageArrayApi.md#get_storage_arrays) | **GET** /clusters/{cluster_name}/storage_arrays | Returns a list of StorageArrays
*StorageArrayApi* | [**rediscover_storage_array**](docs/StorageArrayApi.md#rediscover_storage_array) | **POST** /clusters/{cluster_name}/storage_arrays/{name}/rediscover | Rediscover LUNs on the array
*StorageGroupApi* | [**get_storage_group**](docs/StorageGroupApi.md#get_storage_group) | **GET** /clusters/{cluster_name}/storage_arrays/{storagearray_name}/storage_groups/{name} | Return details of a given storage group
*StorageGroupApi* | [**get_storage_groups**](docs/StorageGroupApi.md#get_storage_groups) | **GET** /clusters/{cluster_name}/storage_arrays/{storagearray_name}/storage_groups | Return the list storage groups
*StoragePoolApi* | [**get_storage_pool**](docs/StoragePoolApi.md#get_storage_pool) | **GET** /clusters/{cluster_name}/storage_arrays/{storagearray_name}/storage_pools/{name} | Return details of a given storage pool
*StoragePoolApi* | [**get_storage_pools**](docs/StoragePoolApi.md#get_storage_pools) | **GET** /clusters/{cluster_name}/storage_arrays/{storagearray_name}/storage_pools | Return the list storage pools
*StorageVolumeApi* | [**claim_storage_volume**](docs/StorageVolumeApi.md#claim_storage_volume) | **POST** /clusters/{cluster_name}/storage_volumes/{name}/claim | Claim a StorageVolume
*StorageVolumeApi* | [**forget_storage_volume**](docs/StorageVolumeApi.md#forget_storage_volume) | **DELETE** /clusters/{cluster_name}/storage_volumes/{name} | Storage volume is not really missing it will reappear after being forgotten
*StorageVolumeApi* | [**get_storage_volume**](docs/StorageVolumeApi.md#get_storage_volume) | **GET** /clusters/{cluster_name}/storage_volumes/{name} | Returns a single StorageVolume by name
*StorageVolumeApi* | [**get_storage_volumes**](docs/StorageVolumeApi.md#get_storage_volumes) | **GET** /clusters/{cluster_name}/storage_volumes | Returns a list of StorageVolume objects. Supports paging
*StorageVolumeApi* | [**patch_storage_volume**](docs/StorageVolumeApi.md#patch_storage_volume) | **PATCH** /clusters/{cluster_name}/storage_volumes/{name} | Update attributes on a StorageVolume
*StorageVolumeApi* | [**unclaim_storage_volume**](docs/StorageVolumeApi.md#unclaim_storage_volume) | **POST** /clusters/{cluster_name}/storage_volumes/{name}/unclaim | Unclaim a StorageVolume
*SystemConfigApi* | [**get_system_config**](docs/SystemConfigApi.md#get_system_config) | **GET** /system_config | Return the system configuration
*TokenApi* | [**authenticate**](docs/TokenApi.md#authenticate) | **POST** /token | URL to authenticate and get back access_token in case of success
*TokenApi* | [**logout**](docs/TokenApi.md#logout) | **DELETE** /token | Endpoint to logout and invalidate/delete the token
*VersionApi* | [**get_versions**](docs/VersionApi.md#get_versions) | **GET** /versions | Returns a list of versions of the VPLEX components
*VirtualVolumeApi* | [**create_virtual_volume**](docs/VirtualVolumeApi.md#create_virtual_volume) | **POST** /clusters/{cluster_name}/virtual_volumes | Create a new virtual volume
*VirtualVolumeApi* | [**delete_virtual_volume**](docs/VirtualVolumeApi.md#delete_virtual_volume) | **DELETE** /clusters/{cluster_name}/virtual_volumes/{name} | Deletes a single VirtualVolume
*VirtualVolumeApi* | [**expand_virtual_volume**](docs/VirtualVolumeApi.md#expand_virtual_volume) | **POST** /clusters/{cluster_name}/virtual_volumes/{name}/expand | Expand the capacity of a VirtualVolume
*VirtualVolumeApi* | [**get_virtual_volume**](docs/VirtualVolumeApi.md#get_virtual_volume) | **GET** /clusters/{cluster_name}/virtual_volumes/{name} | Return a VirtualVolume matching the provided name
*VirtualVolumeApi* | [**get_virtual_volumes**](docs/VirtualVolumeApi.md#get_virtual_volumes) | **GET** /clusters/{cluster_name}/virtual_volumes | Returns a list of virtual volumes
*VirtualVolumeApi* | [**patch_virtual_volume**](docs/VirtualVolumeApi.md#patch_virtual_volume) | **PATCH** /clusters/{cluster_name}/virtual_volumes/{name} | Update attributes on a VirtualVolume
*VirtualVolumeApi* | [**virtual_volume_cache_invalidate**](docs/VirtualVolumeApi.md#virtual_volume_cache_invalidate) | **POST** /clusters/{cluster_name}/virtual_volumes/{name}/cache_invalidate | cache invalidate on virtual volume


## Documentation For Models

 - [AdminState](docs/AdminState.md)
 - [Aggregate](docs/Aggregate.md)
 - [Aggregates](docs/Aggregates.md)
 - [AmpPayload](docs/AmpPayload.md)
 - [ArrayManagementProvider](docs/ArrayManagementProvider.md)
 - [BulkResponse](docs/BulkResponse.md)
 - [BulkResponseTasks](docs/BulkResponseTasks.md)
 - [Certificate](docs/Certificate.md)
 - [CertificatePayload](docs/CertificatePayload.md)
 - [CgResumePayload](docs/CgResumePayload.md)
 - [ClaimPayload](docs/ClaimPayload.md)
 - [Cluster](docs/Cluster.md)
 - [ClusterWitness](docs/ClusterWitness.md)
 - [ClusterWitnessComponents](docs/ClusterWitnessComponents.md)
 - [ComStatus](docs/ComStatus.md)
 - [CommunicationStatus](docs/CommunicationStatus.md)
 - [ConnectivityStatus](docs/ConnectivityStatus.md)
 - [ConsistencyGroup](docs/ConsistencyGroup.md)
 - [ConsistencyGroupOperationalStatus](docs/ConsistencyGroupOperationalStatus.md)
 - [ConsistencyGroupPayload](docs/ConsistencyGroupPayload.md)
 - [Device](docs/Device.md)
 - [DeviceMigration](docs/DeviceMigration.md)
 - [DeviceMigrationPayload](docs/DeviceMigrationPayload.md)
 - [DevicePayload](docs/DevicePayload.md)
 - [Director](docs/Director.md)
 - [DirectorPort](docs/DirectorPort.md)
 - [DistributedConsistencyGroupPayload](docs/DistributedConsistencyGroupPayload.md)
 - [DistributedDevice](docs/DistributedDevice.md)
 - [DistributedDevicePayload](docs/DistributedDevicePayload.md)
 - [DistributedVirtualVolumeExpandPayload](docs/DistributedVirtualVolumeExpandPayload.md)
 - [DistributedVirtualVolumePayload](docs/DistributedVirtualVolumePayload.md)
 - [Engine](docs/Engine.md)
 - [Error](docs/Error.md)
 - [Extent](docs/Extent.md)
 - [ExtentMigration](docs/ExtentMigration.md)
 - [ExtentMigrationPayload](docs/ExtentMigrationPayload.md)
 - [ExtentPayload](docs/ExtentPayload.md)
 - [FieldSelectionExpression](docs/FieldSelectionExpression.md)
 - [HardwarePort](docs/HardwarePort.md)
 - [HardwarePorts](docs/HardwarePorts.md)
 - [HealthState](docs/HealthState.md)
 - [InitiatorPort](docs/InitiatorPort.md)
 - [InlineResponse200](docs/InlineResponse200.md)
 - [InlineResponse2001](docs/InlineResponse2001.md)
 - [InlineResponse2002](docs/InlineResponse2002.md)
 - [InlineResponse2003](docs/InlineResponse2003.md)
 - [InlineResponse200ClaimableStorageVolumes](docs/InlineResponse200ClaimableStorageVolumes.md)
 - [InlineResponse201](docs/InlineResponse201.md)
 - [InlineResponse2011](docs/InlineResponse2011.md)
 - [JobsStoragePools](docs/JobsStoragePools.md)
 - [JsonPatchOp](docs/JsonPatchOp.md)
 - [LexicalQueryExpression](docs/LexicalQueryExpression.md)
 - [License](docs/License.md)
 - [LicenseArray](docs/LicenseArray.md)
 - [LicensePayload](docs/LicensePayload.md)
 - [LocalComHealth](docs/LocalComHealth.md)
 - [LoggingVolume](docs/LoggingVolume.md)
 - [LoggingVolumePayload](docs/LoggingVolumePayload.md)
 - [LogicalUnit](docs/LogicalUnit.md)
 - [LoginPayload](docs/LoginPayload.md)
 - [LoginResponse](docs/LoginResponse.md)
 - [MetaVolume](docs/MetaVolume.md)
 - [MetaVolumePayload](docs/MetaVolumePayload.md)
 - [MetadataBackupPayload](docs/MetadataBackupPayload.md)
 - [Monitors](docs/Monitors.md)
 - [NumericQueryExpression](docs/NumericQueryExpression.md)
 - [OperationalStatus](docs/OperationalStatus.md)
 - [Permission](docs/Permission.md)
 - [Port](docs/Port.md)
 - [PortExports](docs/PortExports.md)
 - [RediscoverPayload](docs/RediscoverPayload.md)
 - [RegisterPayload](docs/RegisterPayload.md)
 - [Role](docs/Role.md)
 - [RuleSet](docs/RuleSet.md)
 - [SortingOrderExpression](docs/SortingOrderExpression.md)
 - [Status](docs/Status.md)
 - [StorageArray](docs/StorageArray.md)
 - [StorageArrayFamily](docs/StorageArrayFamily.md)
 - [StorageGroup](docs/StorageGroup.md)
 - [StorageMap](docs/StorageMap.md)
 - [StoragePool](docs/StoragePool.md)
 - [StorageView](docs/StorageView.md)
 - [StorageViewPayload](docs/StorageViewPayload.md)
 - [StorageViewVirtualVolumes](docs/StorageViewVirtualVolumes.md)
 - [StorageVolume](docs/StorageVolume.md)
 - [StorageVolumeItls](docs/StorageVolumeItls.md)
 - [SystemConfig](docs/SystemConfig.md)
 - [SystemConfigBranding](docs/SystemConfigBranding.md)
 - [URI](docs/URI.md)
 - [UnclaimPayload](docs/UnclaimPayload.md)
 - [ValidatePayload](docs/ValidatePayload.md)
 - [Version](docs/Version.md)
 - [Versions](docs/Versions.md)
 - [ViasJob](docs/ViasJob.md)
 - [ViasJobStoragePools](docs/ViasJobStoragePools.md)
 - [ViasPayload](docs/ViasPayload.md)
 - [VirtualVolume](docs/VirtualVolume.md)
 - [VirtualVolumeExpandPayload](docs/VirtualVolumeExpandPayload.md)
 - [VirtualVolumePayload](docs/VirtualVolumePayload.md)
 - [WanComHealth](docs/WanComHealth.md)


## Documentation For Authorization


## basicAuth

- **Type**: HTTP basic authentication

## jwtAuth

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Author



